<?php

namespace classes;

use phpcommon;

class AddReward {
    protected function getMysql($account_id)
    {
        $mysql_conf = getMysqlConfig(crc32($account_id));
        $conn = new phpcommon\Mysql(array(
            'host' => $mysql_conf['host'],
            'port' => $mysql_conf['port'],
            'user' => $mysql_conf['user'],
            'passwd' => $mysql_conf['passwd'],
            'dbname' => 'gamedb2003_' . $mysql_conf['instance_id']
        ));
        return $conn;
    }

    protected function getItem($item_id)
    {
        $g_conf_item_cluster = require('../res/item@item.php');
        $item_conf = getItemConfig($g_conf_item_cluster, $item_id);
        $it = array(
            'id' => $item_conf['id'],
            'type' => $item_conf['type'],
        );
        return $it;
    }


    public function addReward($item_id, $item_num, $account_id)
    {
        $conn = $this->getMysql($account_id);
        if (!$conn) {
            phpcommon\sendError(ERR_USER_BASE + 1, '没有这个玩家');
            die();
        }
        $it = $this->getItem($item_id);
        if (!$it) {
            phpcommon\sendError(ERR_USER_BASE + 1, '没有这个道具');
            die();
        }
        $item_list = array();
        array_push($item_list, array(
            'itemid' => $item_id,
            'itemnum' => $item_num,
        ));
        foreach ($item_list as $item) {
            $i = $this->getItem($item['itemid']);
            switch ($i['type'])
            {
            case 1:
                //添加货币
                $this->addCoin($item['itemid'], $item['itemnum'], $account_id);
                break;
            default:
                break;
            }
        }
        return $item_list;
    }

    //添加货币
    protected function addCoin($item_id, $item_num, $accountid)
    {
        $conn = $this->getMysql($accountid);
        if (!$conn) {
            phpcommon\sendError(ERR_USER_BASE + 1, '没有这个玩家');
            die();
        }
        if ($item_id == 10001) {
            $row = $conn->execQueryOne('SELECT coin_num FROM user WHERE accountid=:accountid;',
                                       array(
                                           ':accountid' => $accountid
                                       ));
            $ret = $conn->execScript('UPDATE user SET coin_num=:coin_num, modify_time=:modify_time ' .
                                     ' WHERE accountid=:accountid;',
                                     array(
                                         ':accountid' => $accountid,
                                         ':coin_num' => $item_num + $row['coin_num'],
                                         ':modify_time' => time()
                                     ));
            if (!$ret) {
                die();
            }
        } else if ($item_id == 10003) {
            $row = $conn->execQueryOne('SELECT diamond_num FROM user WHERE accountid=:accountid;',
                                       array(
                                           ':accountid' => $accountid
                                       ));
            $ret = $conn->execScript('UPDATE user SET diamond_num=:diamond_num, modify_time=:modify_time ' .
                                     ' WHERE accountid=:accountid;',
                                     array(
                                         ':accountid' => $accountid,
                                         ':diamond_num' => $item_num + $row['diamond_num'],
                                         ':modify_time' => time()
                                     ));
            if (!$ret) {
                die();
            }
        } else if ($item_id == 10002) {
            $row = $conn->execQueryOne('SELECT energy FROM user WHERE accountid=:accountid;',
                                       array(
                                           ':accountid' => $accountid
                                       ));
            $ret = $conn->execScript('UPDATE user SET energy=:energy, modify_time=:modify_time ' .
                                     ' WHERE accountid=:accountid;',
                                     array(
                                         ':accountid' => $accountid,
                                         ':energy' => $item_num + $row['energy'],
                                         ':modify_time' => time()
                                     ));
            if (!$ret) {
                die();
            }
        }
    }

}
?>
