<?php

class RankController{

    protected function getMysql($account_id)
    {
        $mysql_conf = getMysqlConfig(crc32($account_id));
        $conn = new phpcommon\Mysql(array(
            'host' => $mysql_conf['host'],
            'port' => $mysql_conf['port'],
            'user' => $mysql_conf['user'],
            'passwd' => $mysql_conf['passwd'],
            'dbname' => 'gamedb2003_' . $mysql_conf['instance_id']
        ));
        return $conn;
    }

    protected function getRedis()
    {
        $key = 'game2003api';
        $redis_conf = getRedisConfig($key);
        $r = new phpcommon\Redis(array(
            'host' => $redis_conf['host'],
            'port' => $redis_conf['port'],
            'passwd' => $redis_conf['passwd'],
        ));
        return $r;
    }

    public function rankInfo()
    {
        $account_id = $_REQUEST['account_id'];
        //登录校验
        $login = loginVerify($account_id, $_REQUEST['session_id']);
        if (!$login) {
            phpcommon\sendError(ERR_USER_BASE + 1, 'session无效');
            return;
        }
        $conn = $this->getMysql($account_id);
        if (!$conn) {
            phpcommon\sendError(ERR_USER_BASE + 1, '没有这个玩家');
            return;
        }
        $user_list = array();
        $pass_list = array();
        $pass_rank = 0;
        $myname = '';
        $myavatar_url = '';
        //个人信息
        $row = $conn->execQueryOne('SELECT user_name, avatar_url, pass, coin_num FROM user ' .
                                   ' WHERE accountid=:accountid;',
                                   array(
                                       ':accountid' => $account_id
                                   ));
        if ($row) {
            if ($row['avatar_url'] == '') {
                $address = '../res/robot@robot' . 1 . '.php';
                $robot_meta_cluster = require($address);
                $i = Rand(1, 100);
                $robot_id = 1000 + $i;
                $robot_meta = getRobotConfig($robot_meta_cluster, $robot_id);
                $rob = array(
                    'name' => $robot_meta['name'],
                    'avatar_url' => $robot_meta['avatar_url'],
                );
                $myname = $rob['name'];
                $myavatar_url = $rob['avatar_url'];
            } else {
                $myname = $row['user_name'];
                $myavatar_url = $row['avatar_url'];
            }
            $myavatar_url = urldecode($myavatar_url);
            array_push($user_list, array(
                'account_id' => $account_id,
                'name' => $myname,
                'avatar_url' => $myavatar_url,
                'pass' => $row['pass'],
                'coin_num' => $row['coin_num'],
            ));
        }

        //通关榜
        $r = $this->getRedis();
        $channel = phpcommon\extractChannel($account_id);
        $pass_rank_db = $r->get("game2003api:pass_rank_" . $channel);
        error_log(json_decode($pass_rank_db));
        $pass_db = json_decode($pass_rank_db);
        $pass_list = $this->getRank($account_id, $pass_db, $myname, $myavatar_url);
        $i = 0;
        foreach ($pass_db as $pass) {
            $name = '';
            $avatar_url = '';
            if ($i > 49) {
                break;
            }
            if ($pass_db[$i][0] == $account_id) {
                $pass_rank = $i + 1;
            }
            $i++;
        }
        echo json_encode(array(
            'errcode' => 0,
            'errmsg' => "",
            'user_list' => $user_list,
            'pass_rank' => $pass_rank,
            'pass_list' => $pass_list,
        ));

    }

    protected function getRank($account_id, $user_db, $myname, $myavatar_url)
    {
        $i = 0;
        $user_list = array();
        foreach ($user_db as $user) {
            $name = '';
            $avatar_url = '';
            if ($i > 49) {
                break;
            }
            if ($user_db[$i][2] == '') {
                if ($user_db[$i][0] == $account_id) {
                    $name = $myname;
                    $avatar_url = $myavatar_url;
                } else {
                    $name = $user_db[$i][1];
                    $address = '../res/robot@robot' . 1 . '.php';
                    $robot_meta_cluster = require($address);
                    $j = Rand(1, 100);
                    $robot_id = 1000 + $j;
                    $robot_meta = getRobotConfig($robot_meta_cluster, $robot_id);
                    $rob = array(
                        'name' => $robot_meta['name'],
                        'avatar_url' => 'https://wx.qlogo.cn/mmopen/vi_32/xr8cTwYUP440icRKFobfmBAG5yjiaKLF8CuThOSWsyj2klXXMJlJ7OsrZuH7V7l2XyjmVFwWFCfeZoFtGoRrpTYg/132',
                    );
                    if($user_db[$i][1] == '') {
                        $name = $rob['name'];
                    }
                    $avatar_url = $rob['avatar_url'];
                }
            } else {
                $name = $user_db[$i][1];
                $avatar_url = $user_db[$i][2];
            }
            $url = urldecode($avatar_url);
            array_push($user_list, array(
                'account_id' => $user_db[$i][0],
                'name' => $name,
                'avatar_url' => $url,
                'pass' => $user_db[$i][3],
                'coin_num'=> $user_db[$i][4],
            ));
            $i++;
        }
        return $user_list;
    }
}
?>
